cascading.stats.hadoop

## Class HadoopStepCounterCache

- java.lang.Object
- - cascading.stats.CounterCache<Configuration,JobStatus,Counters>
  - - cascading.stats.hadoop.HadoopCounterCache<RunningJob,Counters>
    - - cascading.stats.hadoop.HadoopStepCounterCache

-     public abstract class HadoopStepCounterCache
      extends HadoopCounterCache<RunningJob,Counters>

- - ### Field Summary

    - ### Fields inherited from class cascading.stats.CounterCache

      `configuration, COUNTER_FETCH_RETRIES_PROPERTY, COUNTER_MAX_AGE_PROPERTY, COUNTER_TIMEOUT_PROPERTY, DEFAULT_CACHED_AGE_MAX, DEFAULT_FETCH_RETRIES, DEFAULT_NODE_CACHED_AGE_MAX, DEFAULT_TIMEOUT_TIMEOUT_SEC, fetchAttempts, maxAge, maxFetchAttempts, NODE_COUNTER_MAX_AGE_PROPERTY, timeout`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `HadoopStepCounterCache(CascadingStats stats, Configuration configuration)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected boolean` | `areCountersAvailable(RunningJob runningJob)`
    `protected Counters` | `getCounters(RunningJob runningJob)`
    `protected java.util.Set<java.lang.String>` | `getCountersFor(Counters counters, java.lang.String group)`
    `protected long` | `getCounterValue(Counters counters, java.lang.Enum counter)`
    `protected long` | `getCounterValue(Counters counters, java.lang.String groupName, java.lang.String counterName)`
    `protected java.util.Collection<java.lang.String>` | `getGroupNames(Counters groups)`

    - ### Methods inherited from class cascading.stats.hadoop.HadoopCounterCache

      `getIntProperty`

    - ### Methods inherited from class cascading.stats.CounterCache

      `cachedCounters, cachedCounters, getCounterGroups, getCounterGroupsMatching, getCountersFor, getCounterValue, getCounterValue, getJobStatusClient, getLastSuccessfulFetch`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### HadoopStepCounterCache

          protected HadoopStepCounterCache(CascadingStats stats,
                                Configuration configuration)

  - ### Method Detail

    - #### areCountersAvailable

          protected boolean areCountersAvailable(RunningJob runningJob)

      Specified by:
        `areCountersAvailable` in class `CounterCache<Configuration,RunningJob,Counters>`

    - #### getCounters

          protected Counters getCounters(RunningJob runningJob)
                                  throws java.io.IOException

      Specified by:
        `getCounters` in class `CounterCache<Configuration,RunningJob,Counters>`
      Throws:
        `java.io.IOException`

    - #### getGroupNames

          protected java.util.Collection<java.lang.String> getGroupNames(Counters groups)

      Specified by:
        `getGroupNames` in class `CounterCache<Configuration,RunningJob,Counters>`

    - #### getCountersFor

          protected java.util.Set<java.lang.String> getCountersFor(Counters counters,
                                                       java.lang.String group)

      Specified by:
        `getCountersFor` in class `CounterCache<Configuration,RunningJob,Counters>`

    - #### getCounterValue

          protected long getCounterValue(Counters counters,
                             java.lang.Enum counter)

      Specified by:
        `getCounterValue` in class `CounterCache<Configuration,RunningJob,Counters>`

    - #### getCounterValue

          protected long getCounterValue(Counters counters,
                             java.lang.String groupName,
                             java.lang.String counterName)

      Specified by:
        `getCounterValue` in class `CounterCache<Configuration,RunningJob,Counters>`

Copyright © 2007-2015 Xplenty, Inc. All Rights Reserved.